Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Get triples extracted from a document

GET
/api/v1/documents/{id}/triples
curl --request GET \
--url https://api.yggy.tech/api/v1/documents/example/triples \
--header 'Authorization: Bearer <token>'

Retrieve all triples that have been extracted from the specified document.

id
required
string
host
string | null
x-yggy-organization-id
string | null

Extracted triples

Media type application/json
object
triples
required
Array<object>
object
id
string
subject
required
string
predicate
required
string
object
required
string
subjectIdentity
object
field
required
string
value
required
string
identityUri
string
approved
boolean
subjectId
string
subjectType
string
subjectIdentityUri
string
objectId
string
objectType
string
objectIdentityUri
string
qualifiers
object
amount
string
currency
string
unit
string
location
string
confidence
number
source
string
extractionMethod
string
Allowed values: UNSTRUCTURED STRUCTURED_SGSE MANUAL HYBRID
evidence
Array<string>
evidenceRegionId
string
note
string
created_at
string
status
string
Allowed values: ACTIVE SUPERSEDED CONFLICTING RETRACTED PENDING_ONTOLOGY SOURCE_DELETED
count
required
number
Example
{
"triples": [
{
"extractionMethod": "UNSTRUCTURED",
"status": "ACTIVE"
}
]
}

Document not found

Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
Allowed values: INTERNAL_ERROR VALIDATION_ERROR UNAUTHORIZED RATE_LIMITED ORG_REQUIRED FORBIDDEN NOT_FOUND CONFLICT PROJECT_DENIED USAGE_LIMIT_EXCEEDED HUGINN_ERROR HUGINN_STREAM_ERROR QUERY_FAILED PROVIDER_CONFLICT PROVIDER_CONFIG_INVALID PROVIDER_NOT_CONNECTED PROVIDER_RATE_LIMITED PROJECT_MEMBER_USER_NOT_IN_ORG PROJECT_MEMBER_UNKNOWN_ROLE PROJECT_MEMBER_LAST_OWNER PROJECT_CONFLICT STORAGE_NOT_CONFIGURED BILLING_NOT_CONFIGURED LICENSE_INACTIVE PLAN_REQUIRED MEMBER_LIMIT_REACHED SAGA_ASK_QUOTA_EXCEEDED SAGA_ASK_RATE_LIMITED SAGA_ASK_BUSY SAGA_ASK_PAUSED SAGA_ASK_UPSTREAM SAGA_DICTATION_BUSY SAGA_DICTATION_UNAVAILABLE SAGA_SHARE_LINK_LIMIT PROJECT_MEMBERSHIP_JWT_TOO_LARGE WEBHOOK_URL_INVALID WEBHOOK_ADDRESS_BLOCKED WEBHOOK_EVENT_UNKNOWN WEBHOOK_ENDPOINT_LIMIT WEBHOOK_ENDPOINT_DISABLED WEBHOOK_DELIVERY_IN_PROGRESS ORG_KEY_PERSONAL_SCOPE API_KEY_PERMISSION_EXCEEDS_ROLE API_KEY_NO_PERMISSIONS ORG_KEY_GRAPH_SCOPE_UNAVAILABLE ORG_KEY_TOO_MANY_PROJECTS SENDER_IS_LOGIN_EMAIL SENDER_TAKEN
details
Example
{
"success": false,
"error": {
"code": "INTERNAL_ERROR"
}
}